# 템플릿 양식 로고 이미지 조회

## Request

## RBC에서 템플릿용으로 제공되는 기본 로고 이미지 정보를 조회합니다.<br>

> RBC에서 템플릿용으로 제공되는 기본 로고 이미지 정보를 조회합니다.  \
> \
> 조회된 이미지 파일 ID를 템플릿 등록 시 사용할 수 있습니다.  \
> &#x20; \+ \*\*계정 권한 : 마스터, 매니저, 대행사\*\*<br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}},"parameters":{"MessagebaseformId":{"name":"messagebaseformId","in":"path","schema":{"type":"string"},"required":true,"description":"messagebaseform ID Path parameter 입니다."}}},"paths":{"/messagebase/messagebaseform/{messagebaseformId}/logo":{"get":{"summary":"RBC에서 템플릿용으로 제공되는 기본 로고 이미지 정보를 조회합니다.\n","description":"RBC에서 템플릿용으로 제공되는 기본 로고 이미지 정보를 조회합니다.  \n\n조회된 이미지 파일 ID를 템플릿 등록 시 사용할 수 있습니다.  \n  + **계정 권한 : 마스터, 매니저, 대행사**\n","parameters":[{"$ref":"#/components/parameters/MessagebaseformId"}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>이미지 파일ID와 URL 및 사용 유형 정보를 제공합니다.</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>fileId</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>로고 이미지 파일 ID 입니다.</td></tr><tr><td><strong><code>fileUrl</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>로고 이미지 파일 URL 입니다.</td></tr><tr><td><strong><code>fileName</code></strong></td><td>string</td><td align="center">256</td><td align="center"></td><td></td><td>로고 이미지 파일 이름 입니다.</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
      {
        "fileId": "",
        "fileUrl": "",
        "fileName": ""
      }    
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/template/get_form_logo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
